OTPme - Feature #18

add user authorization script
18 January 2015 01:27 - The 2nd

Status: Erledigt Start date: 18 January 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 100%
Category: Estimated time: 0:00 hour
Target version: OTPme 0.2

Description

e pass variables to script

o request type

o username
password, challenge/response and/or password hash? make this optional?
client
client_ip
access_group

o token that authenticated the user

= token type

e script exit code 0=Accept, 1=Reject

History

#1 - 22 January 2015 00:48 - The 2nd
- % Done changed from 0 to 60

#2 - 23 January 2015 00:01 - The 2nd

need to implement per user authorization script....

#3 - 25 January 2015 00:53 - The 2nd

need documentation

#4 - 02 February 2015 18:37 - The 2nd
- Status changed from Neu to Erledigt
- % Done changed from 60 to 100

added documentation to the wiki
